#
# Conditional build:
%bcond_without	tests		# don't perform "make check"
%bcond_without	static_libs	# don't build static library

Summary:	SPDY C library
Summary(pl.UTF-8):	Biblioteka C SPDY
Name:		spdylay
Version:	1.4.0
Release:	3
License:	MIT
Group:		Libraries
#Source0Download: https://github.com/tatsuhiro-t/spdylay/releases
Source0:	https://github.com/tatsuhiro-t/spdylay/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	d1c976a8d2e222b00cee4b180be5e022
URL:		http://tatsuhiro-t.github.io/spdylay/
%{?with_tests:BuildRequires:	CUnit >= 2.1}
BuildRequires:	libevent-devel >= 2.0.8
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 1:2.7.7
BuildRequires:	openssl-devel >= 1.0.1
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.2.3
Requires:	libevent >= 2.0.8
Requires:	libxml2 >= 1:2.7.7
Requires:	openssl >= 1.0.1
Requires:	zlib >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an experimental implementation of Google's SPDY protocol in C.
This library provides SPDY version 2 and 3 framing layer
implementation. It does not perform any I/O operations. When the
library needs them, it calls the callback functions provided by the
application. It also does not include any event polling mechanism, so
the application can freely choose the way of handling events. This
library code does not depend on any particular SSL library (except for
example programs which depend on OpenSSL 1.0.1 or later).

%description -l pl.UTF-8
Ta biblioteka jest eksperymentalną implementacją protokołu SPDY
Google'a w C. Udostępnia implementację warstwy ramek SPDY w wersji 2 i
3. Nie wykonuje żadnych operacji we/wy - w razie potrzeby odwołuje się
do wywołań wstecznych dostarczonych przez aplikację. Nie zawiera także
żadnego mechanizmu typu poll - aplikacja może dowolnie wybrać metodę
obsługi zdarzeń. Biblioteka nie zależy od żadnej konkretnej biblioteki
SSL (poza programami przykładowymi, które wymagają OpenSSL >= 1.0.1).

%package devel
Summary:	Files needed for developing with libspdylay
Summary(pl.UTF-8):	Pliki niezbędne do tworzenia aplikacji z użyciem libspdylay
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel >= 1.2.3

%description devel
Files needed for building applications with libspdylay.

%description devel -l pl.UTF-8
Pliki niezbędne do tworzenia aplikacji z użyciem libspdylay.

%package static
Summary:	Static libspdylay library
Summary(pl.UTF-8):	Statyczna biblioteka libspdylay
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libspdylay library.

%description static -l pl.UTF-8
Statyczna biblioteka libspdylay.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libspdylay.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/spdylay

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.rst
%attr(755,root,root) %{_bindir}/shrpx
%attr(755,root,root) %{_bindir}/spdycat
%attr(755,root,root) %{_bindir}/spdyd
%attr(755,root,root) %{_libdir}/libspdylay.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspdylay.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libspdylay.so
%{_includedir}/spdylay
%{_pkgconfigdir}/libspdylay.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspdylay.a
%endif
%changelog
* Sun Feb 09 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spdylay.git;a=log;h=auto/th/spdylay-1.4.0-3

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> 1684ce7
- rebuild with libevent 2.1.11
- release 3 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 24296a5
- release 2 (by relup.sh)

* Thu Apr 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 916d744
- updated to 1.4.0

* Sun Apr 02 2017 Jan Rękorajski <baggins@pld-linux.org> af31083
- rebuild with libevent 2.1.9
- release 2 (by relup.sh)

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 7a650af
- updated to 1.3.2

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> b440a75
- x32 rebuild
- release 2 (by relup.sh)

* Sun Sep 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ca9ddc
- updated to 1.3.1

* Sat Jul 19 2014 Jakub Bogusz <qboosh@pld-linux.org> b9d36ce
- updated to 1.2.5

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 4831b70
- updated to 1.2.4

* Sun Mar 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 4097aaf
- new URLs, updated to 1.2.3 (note: new soname)

* Wed Oct 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 9bf22e5
- new

